from django.urls import path

from . import views

app_name="gestion"
urlpatterns = [
    path('manage', views.manage, name="manage"),
    path('reload', views.reload, name="reload"),
    path('refund', views.refund, name="refund"),
    path('productsIndex', views.productsIndex, name="productsIndex"),
    path('productsList', views.productsList, name="productsList"),
    path('addProduct', views.addProduct, name="addProduct"),
    path('editProduct/<int:pk>', views.editProduct, name="editProduct"),
    path('switchActivate/<int:pk>', views.switch_activate, name="switchActivate"),
    path('addKeg', views.addKeg, name="addKeg"),
    path('openKeg', views.openKeg, name="openKeg"),
    path('closeKeg', views.closeKeg, name="closeKeg"),
    path('kegsList', views.kegsList, name="kegsList"),
    path('kegH/<int:pk>', views.kegH, name="kegH"),
    path('editKeg/<int:pk>', views.editKeg, name="editKeg"),
    path('openDirectKeg/<int:pk>', views.openDirectKeg, name="openDirectKeg"),
    path('closeDirectKeg/<int:pk>', views.closeDirectKeg, name="closeDirectKeg"),
    path('addMenu', views.addMenu, name="addMenu"),
    path('searchMenu', views.searchMenu, name="searchMenu"),
    path('editMenu/<int:pk>', views.edit_menu, name="editMenu"),
    path('menusList', views.menus_list, name="menusList"),
    path('getMenu/<int:pk>', views.get_menu, name="getMenu"),
    path('swicthActivateMenu/<int:pk>', views.switch_activate_menu, name="switchActivateMenu"),
    path('getProduct/<int:pk>', views.getProduct, name="getProduct"),
    path('order', views.order, name="order"),
    path('ranking', views.ranking, name="ranking"),
    path('searchProduct', views.searchProduct, name="searchProduct"),
    path('cancelConsumption/<int:pk>', views.cancel_consumption, name="cancelConsumption"),
    path('cancelMenu/<int:pk>', views.cancel_menu, name="cancelMenu"),
    path('productProfile/<int:pk>', views.productProfile, name="productProfile"),
    path('addPintes', views.add_pintes, name="addPintes"),
    path('releasePintes', views.release_pintes, name="releasePintes"),
    path('pintesList', views.pintes_list, name="pintesList"),
    path('release/<int:pinte_pk>', views.release, name="release"),
    path('pintesUserList', views.pintes_user_list, name="pintesUserList"),
    path('products-autocomplete', views.ProductsAutocomplete.as_view(), name="products-autocomplete"),
    path('active-products-autocomplete', views.ActiveProductsAutocomplete.as_view(), name="active-products-autocomplete"),
    path('kegs-positive-autocomplete', views.KegPositiveAutocomplete.as_view(), name="kegs-positive-autocomplete"),
    path('kegs-active-autocomplete', views.KegActiveAutocomplete.as_view(), name="kegs-active-autocomplete"),
    path('menus-autcomplete', views.MenusAutocomplete.as_view(), name="menus-autocomplete"),
    path('cancelReload/<int:pk>', views.cancel_reload, name="cancelReload"),
    path('gen_releve', views.gen_releve, name="gen_releve"),
]